HActionEvent

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.havi.ui.event
Class HActionEvent

    java.lang.Object
      java.util.EventObject
          java.awt.AWTEvent
              java.awt.event.ActionEvent
                  org.havi.ui.event.HActionEvent

All Implemented Interfaces:
  Serializable

    public class HActionEvent

extends ActionEvent

An `HActionEvent` event is used to interact with a component implementing the `HActionInputPreferred` interface as follows:

- An `HActionEvent` event may be sent from the HAVi system to the component to cause the component to become actioned.
- An `HActionEvent` event is sent from the component to all registered `HActionListeners` whenever the component is actioned.

All interoperable HAVi components which expect to receive `HActionEvent` events must implement the `HActionInputPreferred` interface.

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.awt.event.ActionEvent
`ACTION_FIRST, ACTION_LAST, ACTION_PERFORMED, ALT_MASK, CTRL_MASK, META_MASK, SHIFT_MASK`

Fields inherited from class java.awt.AWTEvent
`ACTION_EVENT_MASK, ADJUSTMENT_EVENT_MASK, COMPONENT_EVENT_MASK, CONTAINER_EVENT_MASK, FOCUS_EVENT_MASK, INPUT_METHOD_EVENT_MASK, INVOCATION_EVENT_MASK, ITEM_EVENT_MASK, KEY_EVENT_MASK, MOUSE_EVENT_MASK, MOUSE_MOTION_EVENT_MASK, MOUSE_WHEEL_EVENT_MASK, PAINT_EVENT_MASK, RESERVED_ID_MAX, TEXT_EVENT_MASK, WINDOW_EVENT_MASK, WINDOW_FOCUS_EVENT_MASK`

Constructor Summary
`HActionEvent(HActionInputPreferred source, int id, String command)` Constructs an `HActionEvent`.

Method Summary
`String` | `getActionCommand()` Retrieve the action command string associated with this event.
`int` | `getModifiers()` Returns any modifiers held down during this action event.

Methods inherited from class java.awt.event.ActionEvent
`getWhen, paramString`

Methods inherited from class java.awt.AWTEvent
`getID, toString`

Methods inherited from class java.util.EventObject
`getSource`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HActionEvent

    public HActionEvent(HActionInputPreferred source,
                        int id,
                        String command)

  Constructs an `HActionEvent`.

  Parameters:
    `source` - The `HActionInputPreferred` component which has been actioned.
    `id` - The event id of the `HActionEvent` generated by the `HActionInputPreferred` component. This is the value that will be returned by the event object's `getID` method.
    `command` - A String which is used as the action command string for this event.

Method Detail

### getActionCommand

    public String getActionCommand()

  Retrieve the action command string associated with this event.

  Overrides:
    `getActionCommand` in class `ActionEvent`
  Returns:
    the String which was used as the action command string when this event was constructed.

### getModifiers

    public int getModifiers()

  Returns any modifiers held down during this action event.

  Modifiers are not used for `HActionEvent`s with the HAVi platform. Interoperable HAVi applications shall not use the return value of this method.

  Overrides:
    `getModifiers` in class `ActionEvent`
  Returns:
    an implementation-specific value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD